Loading...
Searching...
No Matches
juce::MidiDeviceListConnection Class Reference

## Detailed Description

To find out when the available MIDI devices change, call MidiDeviceListConnection::make(), passing a lambda that will be called on each configuration change.

To stop the lambda receiving callbacks, destroy the MidiDeviceListConnection instance returned from make(), or call reset() on it.

// Start listening for configuration changes
auto connection = MidiDeviceListConnection::make ([]
{
// This will print a message when devices are connected/disconnected
DBG ("MIDI devices changed");
});
// Stop listening
connection.reset();
juce::MidiDeviceListConnection::make
static MidiDeviceListConnection make(std::function< void()>)
Registers a function to be called whenever the midi device list changes.
juce::MidiDeviceListConnection::reset
void reset() noexcept
Clears this connection.
Definition juce_MidiDevices.h:73
DBG
#define DBG(textToWrite)
Writes a string to the standard error stream.
Definition juce_PlatformDefs.h:159

The documentation for this class was generated from the following file:

- juce_audio_devices/midi_io/juce_MidiDevices.h

## Public Types

using | Key = uint64_t

## Public Member Functions

| MidiDeviceListConnection ()=default
| Constructs an inactive connection.
void | reset () noexcept
| Clears this connection.

## Static Public Member Functions

static MidiDeviceListConnection | make (std::function< void()>)
| Registers a function to be called whenever the midi device list changes.

## Member Typedef Documentation

## Key

using juce::MidiDeviceListConnection::Key = uint64_t

## Constructors and Destructors

## MidiDeviceListConnection()

juce::MidiDeviceListConnection::MidiDeviceListConnection | ( |  | ) |

default

Constructs an inactive connection.

Referenced by make().

## Member Functions

## reset()

void juce::MidiDeviceListConnection::reset | ( |  | ) |

inline noexcept

Clears this connection.

If this object had an active connection, that connection will be deactivated, and the corresponding callback will be removed from the MidiDeviceListConnectionBroadcaster.

## make()

MidiDeviceListConnection juce::MidiDeviceListConnection::make | ( | std::function< void()> |  | ) |

static

Registers a function to be called whenever the midi device list changes.

The callback will only be active for as long as the return MidiDeviceListConnection remains alive. To stop receiving device change notifications, destroy the Connection object, e.g. by allowing it to fall out of scope.

References MidiDeviceListConnection().

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited